declare type Style = {
    fillStyle?: string;
    font?: string;
    globalAlpha?: string;
    globalCompositeOperation?: string;
    imageSmoothingEnabled?: string;
    lineCap?: string;
    lineDashOffset?: string;
    lineJoin?: string;
    lineWidth?: string;
    miterLimit?: string;
    shadowBlur?: string;
    shadowColor?: string;
    shadowOffsetX?: string;
    shadowOffsetY?: string;
    strokeStyle?: string;
    textAlign?: string;
    textBaseline?: string;
};
export declare class Drawing {
    private children;
    private style?;
    private path?;
    constructor(style?: Style, path?: Path2D);
    private applyStyles;
    addChild(child: Drawing): void;
    draw(ctx: CanvasRenderingContext2D): void;
}
export declare class SVGDrawing {
    private children;
    readonly width: number;
    readonly height: number;
    private invWidth;
    private invHeight;
    constructor(width: number, height: number);
    addChild(child: Drawing): void;
    draw(ctx: CanvasRenderingContext2D, x?: number, y?: number, width?: number, height?: number): void;
}
export declare function CreateDrawingFromSVG(svg?: XMLDocument): SVGDrawing | undefined;
export {};
